# App | simple-keyboard
On-screen Javascript Virtual Keyboard

    import App from 'simple-keyboard/src/demo/App.js'

public class | source

# App

simple-keyboard demo

## Constructor Summary

Public Constructor
public | constructor () Instantiates the demo class |

## Member Summary

Public Members
public | handleShiftButton : * Handles shift functionality |
public | layoutName : string Default input name |
public | onChange : * Called when simple-keyboard input has changed |
public | onDOMLoaded : * Executed when the DOM is ready |
public | onKeyPress : * Called when a simple-keyboard key is pressed |

## Public Constructors

### public constructor() source

Instantiates the demo class

## Public Members

### public handleShiftButton: * source

Handles shift functionality

### public layoutName: string source

Default input name

### public onChange: * source

Called when simple-keyboard input has changed

### public onDOMLoaded: * source

Executed when the DOM is ready

### public onKeyPress: * source

Called when a simple-keyboard key is pressed